curl --request POST \
--url https://api.getsly.ai/v1/v1/ucp/tokens \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 123,
"currency": "USD",
"recipient": {
"type": "pix",
"pix_key": "<string>",
"pix_key_type": "cpf",
"name": "<string>",
"tax_id": "<string>"
},
"corridor": "auto",
"metadata": {},
"defer_settlement": false
}
'{
"data": {
"id": "<string>",
"token": "<string>",
"amount": 123,
"currency": "USD",
"corridor": "pix",
"recipient": {
"type": "pix",
"pix_key": "<string>",
"pix_key_type": "cpf",
"name": "<string>",
"tax_id": "<string>"
},
"status": "pending",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
}Issue a settlement token for a specified recipient and amount. The token is JWS-signed and contains the settlement instructions. Use POST /settle to execute.
curl --request POST \
--url https://api.getsly.ai/v1/v1/ucp/tokens \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 123,
"currency": "USD",
"recipient": {
"type": "pix",
"pix_key": "<string>",
"pix_key_type": "cpf",
"name": "<string>",
"tax_id": "<string>"
},
"corridor": "auto",
"metadata": {},
"defer_settlement": false
}
'{
"data": {
"id": "<string>",
"token": "<string>",
"amount": 123,
"currency": "USD",
"corridor": "pix",
"recipient": {
"type": "pix",
"pix_key": "<string>",
"pix_key_type": "cpf",
"name": "<string>",
"tax_id": "<string>"
},
"status": "pending",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
}API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).
x <= 100000USD, USDC Show child attributes
pix, spei, auto Show child attributes
Token issued
Show child attributes